package textures.player.items.torch;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class TorchIdleTextures {

	public static void getTextures(BufferedImage image){
		/*** SOUTH IDLE ***/
		Textures.torchSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.torchSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.torchSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.torchSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);

		/*** NORTH IDLE ***/
		Textures.torchSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.torchSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.torchSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.torchSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);

		/*** WEST IDLE ***/
		Textures.torchSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.torchSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.torchSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.torchSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);

		/*** EAST IDLE ***/
		Textures.torchSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.torchSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.torchSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.torchSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);

		/*** NORTHWEST IDLE ***/
		Textures.torchSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.torchSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.torchSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.torchSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);

		/*** NORTHEAST IDLE ***/
		Textures.torchSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.torchSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.torchSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.torchSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);

		/*** SOUTHWEST IDLE ***/
		Textures.torchSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.torchSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.torchSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.torchSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);

		/*** SOUTHEAST IDLE ***/
		Textures.torchSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.torchSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.torchSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.torchSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
}
